/**Begin D:\PDM_UPGRADE\pdm_new\BOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PERM_LOG_DIFF_UGROLEDIM') 
 CREATE TABLE T_PERM_LOG_DIFF_UGROLEDIM (
FID BIGINT DEFAULT 0 NOT NULL,
FPERM_LOGID BIGINT DEFAULT 0 NOT NULL,
FUSRGRP_ID BIGINT DEFAULT 0 NOT NULL,
FUSRGRP_NAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUSRGRP_NUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FROLE_ID VARCHAR(18) DEFAULT ' ' NOT NULL,
FROLE_NUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FROLE_NAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDIM_ID BIGINT DEFAULT 0 NOT NULL,
FDIM_NUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FDIM_NAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINCLUDE_SUB CHAR(1) DEFAULT '0' NOT NULL,
FINCLUDE_SUB_DESC NVARCHAR(20) DEFAULT ' ' NOT NULL,
FDIMTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDIMTYPEDESC VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FOP_DESC NVARCHAR(300) DEFAULT ' ' NOT NULL,
FCREATE_TIME DATETIME,
FDATACHANGE_TYPE INT DEFAULT 0 NOT NULL,
FDATACHANGE_TYPE_DESC NVARCHAR(20) DEFAULT ' ' NOT NULL
);


 --- drop TABLE --------- 请认真检查该脚本 ------------------- 
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PERM_LOG_DIFF_DIMUSRGRP') 
 DROP TABLE T_PERM_LOG_DIFF_DIMUSRGRP;


/**End D:\PDM_UPGRADE\pdm_new\BOS_table.sql **/
